Name:		strace
Version:	4.5.16
Release:	%mkrel 2
Summary:	Tracks and displays system calls associated with a running process
License:	BSD
Group:		Development/Kernel
URL:		http://sourceforge.net/projects/strace/
Source0:	http://easynews.dl.sourceforge.net/sourceforge/strace/strace-%{version}.tar.bz2
Source1:	%{name}.bash-completion
Patch0:		strace-newsysc.patch
Patch1:		strace-getdents64.patch
Patch3:		strace-stat64.patch
Patch4:		strace-sparc64.patch
# (fc) 4.5.16-2mdv display usbdevfs trace
Patch5:		http://iki.fi/lindi/strace-usbdevfs.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
The strace program intercepts and records the system calls called
and received by a running process.  Strace can print a record of
each system call, its arguments and its return value.  Strace is useful
for diagnosing problems and debugging, as well as for instructional
purposes.

Install strace if you need a tool to track the system calls made and
received by a process.

%prep
%setup -q
%patch0 -p1 -b .newsysc
%patch1 -p1 -b .getdents64
%patch3 -p1 -b .stat64
%patch4 -p1 -b .sparc64
%patch5 -p1 -b .usbdevfs

#needed by patch5
autoreconf

%build
%{configure2_5x}
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

# remove unpackaged files
%{__rm} %{buildroot}%{_bindir}/strace-graph

# bash completion
%{__mkdir_p} %{buildroot}%{_sysconfdir}/bash_completion.d
%{__cp} -a %{SOURCE1} %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYRIGHT README* CREDITS ChangeLog INSTALL NEWS PORTING TODO
%{_sysconfdir}/bash_completion.d/%{name}
%{_bindir}/strace
%{_mandir}/man1/strace.1*


%changelog
* Mon Dec 17 2007 Frederic Crozat <fcrozat@mandriva.com> 4.5.16-2mdv2008.1
+ Revision: 121734
- Patch5 : add verbose output for usbdevfs

* Sat Nov 10 2007 David Walluck <walluck@mandriva.org> 4.5.16-1mdv2008.1
+ Revision: 107364
- 4.5.16
- update URL

* Tue May 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.5.15-2mdv2008.0
+ Revision: 29893
- small completion fix


* Thu Jan 25 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.5.15-1mdv2007.0
+ Revision: 113407
- new release: 4.5.15

* Sun Jan 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.5.14-3mdv2007.1
+ Revision: 108816
- uncompress all patches
- add bash completion
- Import strace

* Sat Jun 10 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.5.14-2mdv2007.0
- add fixes from PLD, will now build on sparc64 :)

* Tue Jan 17 2006 Stefan van der Eijk <stefan@eijk.nu> 4.5.14-1mdk
- 4.5.14

* Fri Aug 19 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.5.13-1mdk
- 4.5.13:
  * better x86_64 support for ia32 processes
  * better printing for linux aoi syscalls
  * update ppc syscalls
  * other bug fixes: statfs64, socket options (setsockopt, ipv6, 64-bit), etc.

* Sun Apr 17 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.5.11-1mdk
- 4.5.11
- %%mrel

* Fri Dec 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.5.8-1mdk
- 4.5.8
- fix summary-ended-with-dot

* Tue Jun 29 2004 Stefan van der Eijk <stefan@mandrake.org> 4.5.5-1mdk
- 4.5.5

* Wed Apr 07 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.5.2-1mdk
- new release

